CVE-2002-2396
CVSS7.2
发布时间 :2002-12-31 00:00:00
修订时间 :2008-09-05 16:33:06
NMCO    

[原文]Buffer overflow in Advanced TFTP (atftp) 0.5 and 0.6, if installed setuid or setgid, may allow local users to execute arbitrary code via a long argument to the -g option.


[CNNVD]Advanced TFTP (atftp)缓冲区溢出漏洞(CNNVD-200212-335)

        Advanced TFTP (atftp) 0.5 和0.6版本存在缓冲区溢出漏洞。如果安装setuid或者setgid,本地用户借助- g选项
        的超长参数执行任意代码。
        

- CVSS (基础分值)

CVSS分值: 7.2 [严重(HIGH)]
机密性影响: COMPLETE [完全的信息泄露导致所有系统文件暴露]
完整性影响: COMPLETE [系统完整性可被完全破坏]
可用性影响: COMPLETE [可能导致系统完全宕机]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CWE (弱点类目)

CWE-119 [内存缓冲区边界内操作的限制不恰当]

- CPE (受影响的平台与产品)

cpe:/a:remi_lefebvre:advanced_tftp:0.5
cpe:/a:remi_lefebvre:advanced_tftp:0.6

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2002-2396
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2002-2396
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200212-335
(官方数据源) CNNVD

- 其它链接及资源

http://www.iss.net/security_center/static/10142.php
(UNKNOWN)  XF  atftp-strcpy-bo(10142)

- 漏洞信息

Advanced TFTP (atftp)缓冲区溢出漏洞
高危 缓冲区溢出
2002-12-31 00:00:00 2002-12-31 00:00:00
本地  
        Advanced TFTP (atftp) 0.5 和0.6版本存在缓冲区溢出漏洞。如果安装setuid或者setgid,本地用户借助- g选项
        的超长参数执行任意代码。
        

- 公告与补丁

        

- 漏洞信息

60362
Advanced TFTP (atftp) -g Option strcpy() Function Local Overflow
Local Access Required Input Manipulation
Loss of Integrity

- 漏洞描述

- 时间线

2002-09-14 Unknow
Unknow Unknow

- 解决方案

Products

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站